#!/bin/bash

set -e

# the pixel value of each data frame is [INUM]-1 for psd frames and 10-[INUM] in error frames
# the shape of each data array is (40, 30)

sphere2saxs -omod n -type SignedShort -odis 1_m -norm -odim 30 40 -oval '[INUM]-1' -ocen "12+[INUM]" "23-2*[INUM]" multi5.edf.gz,1,5

sphere2saxs -omod n -type SignedShort -odis 1_m -norm -odim 30 40 -oval '[INUM]-1' -oerr '10-[INUM]' -ocen "12+[INUM]" "23-2*[INUM]" multi5+err.edf.gz,1,5

sphere2saxs -omod n -type SignedShort -odis 1_m +gblk -norm -odim 30 40 -oval '[INUM]-1' -ocen "12+[INUM]" "23-2*[INUM]" multi5+gblk.edf.gz,1,5

sphere2saxs +cmpr gzip -omod n -type SignedShort -odis 1_m -norm -odim 30 40 -oval '[INUM]-1' -ocen "12+[INUM]" "23-2*[INUM]" multi5_gzip.edf,1,5

sphere2saxs +cmpr gzip -omod n -type SignedShort -odis 1_m -norm -odim 30 40 -oval '[INUM]-1' -oerr '10-[INUM]' -ocen "12+[INUM]" "23-2*[INUM]" multi5+err_gzip.edf,1,5

sphere2saxs +cmpr gzip -omod n -type SignedShort -odis 1_m +gblk -norm -odim 30 40 -oval '[INUM]-1' -ocen "12+[INUM]" "23-2*[INUM]" multi5+gblk_gzip.edf,1,5


